/* tde32d.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Builtin functions */
    double sqrt(double);

    /* Local variables */
    extern int de32d_c(U_fp, int *, int *, double *, double *, double *,
                       double *, double *, double *, double *, double *,
                       double *, logical *, double *, double *, double *, int *);
    static double hmin;
    static int ierr;
    extern int f_c();
    static double h__;
    static int i__, m;
    static double p, r__[2], x[5], y[10] /* was [2][5] */,
                                  df[10] /* was [2][5] */,
                     rf[2], rs[2], xn, yn[2];
    static int iorder;
    static logical bul;
    static double eps;

#define y_ref(a_1,a_2) y[(a_2)*2 + a_1 - 3]
#define df_ref(a_1,a_2) df[(a_2)*2 + a_1 - 3]

    bul = FALSE_;
    iorder = 5;
    p = 100.f;
    eps = 1e-4;
    hmin = 1e-10;
    m = 2;
    h__ = .01;
    xn = 2.3561944901923448;
    yn[0] = sqrt(2.) / 2.;
    yn[1] = -yn[0];
    de32d_c((U_fp)f_c, &m, &iorder, &xn, yn, &hmin, &eps, &p, &h__, df, x, y,
            &bul, rs, rf, r__, &ierr);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n %24.14e \n", x[i__-1]);
    }
    printf("\n %24.14e %24.14e \n", y_ref(1, 5), y_ref(2, 5));
    for (i__ = 1; i__ <= 2; ++i__) {
         printf("\n %24.14e %24.14e %24.14e \n",
                df_ref(i__, 1), df_ref(i__, 2), df_ref(i__, 3));
         printf(" %24.14e %24.14e \n",
                df_ref(i__, 4), df_ref(i__, 5));
    }
    return 0;
} /* main */

#undef df_ref
#undef y_ref

int f_c(double *x, double *y, double *dy, int *m)
{
    /* Parameter adjustments */
    --dy;
    --y;

    /* Function Body */
    dy[1] = y[2];
    dy[2] = -y[1];
    return 0;
} /* f_c */
